import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
var _excluded = ["onTrackEvent"];
import React from "react";
import PMAXCreationModalProvider from "./context";
import PMAXCreationModal from "./PMAXCreationModal";
import StepWrapper from "./StepWrapper";
import { EventsProvider } from "./events";

function PMAXModal(_ref) {
  var onTrackEvent = _ref.onTrackEvent,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/React.createElement(EventsProvider, {
    onTrack: onTrackEvent
  }, /*#__PURE__*/React.createElement(PMAXCreationModalProvider, null, /*#__PURE__*/React.createElement(PMAXCreationModal, props)));
}

export { StepWrapper };
export default PMAXModal;